"""KittyWalk -- 2ch BBS Browser"""

import sys
import os
import getopt

from qt import *

from app import Application
from ui import UserInterface
import install
import Logger


def main(argv=None):
    # Parse options
    if argv is None:
        argv = sys.argv
    if len(argv) > 1:
        opts, args = getopt.getopt(argv[1:], "d")
        if "-d" in [o for o,v in opts]:
            Logger.set_debug_mode()
    Logger.clear()

    if install.is_required():
        install.execute()
    app = Application(UserInterface)
    app.start()

if __name__ == "__main__":
    sys.exit(main())

